# Dapr 1.8.3

### Fixes panic when invoking a non-existent service with Resiliency enabled

#### Problem

Dapr 1.8.0 introduced an error that causes a panic in the runtime when attempting to invoke a service that does not exist (and with dealing with a few other error cases) and the `Resiliency` preview feature is enabled–even if no resiliency policies are configured.

### Impact

This issue impacts all users that have enabled the `Resiliency` preview feature in Dapr 1.8.0–1.8.2, even when no resiliency policies are configured.

#### Root cause

Due to incorrect handling of errors in the direct messaging package, certain types of errors were discarded and the affected method returned a non-error response, eventually causing receivers to panic.

#### Solution

We have fixed the handling of the errors in the direct messaging package when `Resiliency` is enabled, resolving the issue that could have caused a panic in case of errors.
